biterp

Buscar categoria financeira por ID

GET
/financial-categories/{id}
AuthorizationBearer <token>

In: header

Query Parameters

with_deleted?boolean

When true, return the record even if soft-deleted

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/financial-categories/{id}"
{
  "id": "string",
  "tenant_id": "string",
  "parent_id": "string",
  "type": "revenue",
  "reference_code": "string",
  "name": "string",
  "code": "string",
  "presentation_role": "gross_revenue",
  "expense_nature": "employee_benefits",
  "is_locked": true,
  "is_system": true,
  "description": "string",
  "metadata": {},
  "created_by_user_id": "string",
  "updated_by_user_id": "string",
  "deleted_by_user_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z",
  "parent": {
    "id": "string",
    "name": "string",
    "code": "string"
  }
}
{
  "status_code": 400,
  "message": "with_deleted must be a valid boolean (true or false)",
  "error": "Bad Request"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}